<?php

App::uses('BuzzStaffRotasAppModel', 'BuzzStaffRotas.Model');

class StaffRota extends BuzzStaffRotasAppModel {

	public $useTable = false;

	public $validate = [
		'Date' => [
			'required' => [
				'rule' => 'notEmpty',
				'message' => 'Please enter a date'
			],
			'isDate' => [
				'rule' => ['date', 'ymd'],
				'message' => 'Date is not in the correct format YYYY-MM-DD'
			]
		],
		'Username' => [
			'departmentIsSet' => [
				'rule' => ['departmentIsSet'],
				'message' => 'Please enter a department if entering a name'
			]
		]
	];

	public function departmentIsSet($check) {
		$department = $this->data['StaffRota']['Department'];
		$username = $check['Username'];
		if (!empty(trim($username))) {
			// Username is not empty
			if (!empty(trim($department))) {
				// Neither is department. This validates.
				return true;
			} else {
				// Username is not empty, but department is. This fails validation.
				return false;
			}
		} else {
			// Username is empty, just validate.
			return true;
		}
	}
}
